lldpd: bump to 1.0.5
[openwrt/staging/mkresin.git] / package / network / services / lldpd / patches / 001-disable_libcap.patch
1 --- a/configure.ac
2 +++ b/configure.ac
3 @@ -246,7 +246,13 @@ PKG_CHECK_MODULES([check], [check >= 0.9
4
5 # Third-party libraries
6 lldp_CHECK_LIBEVENT
7 -lldp_CHECK_LIBCAP
8 +
9 +#libcap is not a core package so disable this capability
10 +#lldp_CHECK_LIBCAP
11 +libcap_LIBS=
12 +libcap_CFLAGS=
13 +AC_SUBST([libcap_LIBS])
14 +AC_SUBST([libcap_CFLAGS])
15
16 # Compatibility with pkg.m4 < 0.27
17 m4_ifdef([PKG_INSTALLDIR], [PKG_INSTALLDIR],